org.eclipse.wst.jsdt.chromium.debug.core.model

## Class ConnectedTargetData

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.ConnectedTargetData

    public class ConnectedTargetData
    extends java.lang.Object

Contains state and behavior of 'connected' `DebugTargetImpl`. Its inner implementation of `DebugTargetImpl#State` is for `DebugTargetImpl` only and is available externally only at construction. The class can be used only after `setVmEmbedder(org.eclipse.wst.jsdt.chromium.debug.core.model.JavascriptVmEmbedder)` was called. Listeners can be used from the beginning, but they are blocking until `listenerBlock` is unblocked which is done externally after `setVmEmbedder(org.eclipse.wst.jsdt.chromium.debug.core.model.JavascriptVmEmbedder)` is called.

It corresponds to 'connected' state of target and post-terminated state.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.wst.jsdt.chromium.debug.core.model.ConnectedTargetData.DebugEventListenerImpl` `getDebugEventListener()`
`DebugTargetImpl` `getDebugTarget()`
`JavascriptVmEmbedder.Listener` `getEmbedderListener()`
`JavascriptVmEmbedder` `getJavascriptEmbedder()`
`JavascriptVm` `getJavascriptVm()`
`java.lang.String` `getName()`
`SourcePositionMap` `getSourcePositionMap()`
`SourcePositionMapBuilder` `getSourcePositionMapBuilder()`
`SourceWrapSupport` `getSourceWrapSupport()`
`java.util.Collection<? extends VmResource>` `getVmResource(IFile resource)`
`WorkspaceBridge` `getWorkspaceRelations()`
`void` `initListeners()`
`void` `synchronizeBreakpoints(BreakpointSynchronizer.Direction direction, BreakpointSynchronizer.Callback callback)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### initListeners

    public void initListeners()

#### getJavascriptEmbedder

    public JavascriptVmEmbedder getJavascriptEmbedder()

#### getJavascriptVm

    public JavascriptVm getJavascriptVm()

#### getVmResource

    public java.util.Collection<? extends VmResource> getVmResource(IFile resource)
                                                             throws CoreException

Throws:
  `CoreException`

#### synchronizeBreakpoints

    public void synchronizeBreakpoints(BreakpointSynchronizer.Direction direction,
                                       BreakpointSynchronizer.Callback callback)

#### getDebugEventListener

    public org.eclipse.wst.jsdt.chromium.debug.core.model.ConnectedTargetData.DebugEventListenerImpl getDebugEventListener()

#### getEmbedderListener

    public JavascriptVmEmbedder.Listener getEmbedderListener()

#### getWorkspaceRelations

    public WorkspaceBridge getWorkspaceRelations()

#### getSourcePositionMap

    public SourcePositionMap getSourcePositionMap()

#### getSourcePositionMapBuilder

    public SourcePositionMapBuilder getSourcePositionMapBuilder()

#### getSourceWrapSupport

    public SourceWrapSupport getSourceWrapSupport()

#### getDebugTarget

    public DebugTargetImpl getDebugTarget()

#### getName

    public java.lang.String getName()